import axios from "@/utils/request";

// 获取商家列表
export async function getBusinessList(params) {
    const res = await axios.get("/api/v1/goods/background/ota_list", {
        params,
    });
    return res;
}

// 添加商品
export async function addGoods(params) {
    const res = await axios.post("/api/v1/goods/background/add_goods", params);
    return res;
}

// 商品库列表
export async function pindanGoods(params) {
    const res = await axios.get("/api/v1/goods/background/pindan_goods", {
        params,
    });
    return res;
}

// 查看商品详情
export async function markGoodsInfo(params) {
    const res = await axios.get("/api/v1/goods/background/marketing_goods_info", {
        params,
    });
    return res;
}

// 编辑商品详情
export async function editGoods(params) {
    const res = await axios.post("/api/v1/goods/background/edit_activity_goods", params);
    return res;
}

// 添加营销活动
export async function addMarketing(params) {
    const res = await axios.post("/api/v1/marketing/background/add_marketing", params);
    return res;
}

// 复制营销活动
export async function copyMarketing(params) {
    const res = await axios.get("/api/v1/bp/copyMarketing", {
        params,
    });
    return res;
}

// 编辑营销活动
export async function updateMarketing(params) {
    const res = await axios.post("/api/v1/marketing/background/update_marketing", params);
    return res;
}

// 营销活动详情
export async function marketingInfo(params) {
    const res = await axios.post("/api/v1/marketing/background/marketing_info", params);
    return res;
}

class ActivityService {
    // 获取活动列表
    static async getActivityList(params) {
        const res = await axios.get("/api/v1/marketing/background/marketing_list", {
            params,
        });
        return res;
    }

    // 修改商品
    static async editGoodsDetail(query) {
        const res = await axios.post("/api/v1/goods/background/edit_goods", {
            ...query,
        });
        return res;
    }
    // 关闭/开启 活动
    static async updateActivity(query) {
        const res = await axios.post("/api/v1/marketing/background/update_marketing_online_status", {
            ...query,
        });
        return res;
    }

    // 查看活动订单
    static async checkActivityDetail(query) {
        const res = await axios.post("/api/v1/marketing/background/marketing_info", {
            ...query,
        });
        return res;
    }

    // 查看活动订单-- 具体信息（新添加）
    static async checkActivityDetailInfo(params) {
        const res = await axios.get("/api/v1/order/background/pindan_marketing_info_data_statistics", {
            params,
        });
        return res;
    }

    // 获取自提点列表
    static async getPlaceList(params) {
        const res = await axios.get("/api/v1/marketing/background/take_place_list", {
            params,
        });
        return res;
    }

    // 添加自提点
    static async addPlace(query) {
        const res = await axios.post("/api/v1/marketing/background/add_take_place", {
            ...query,
        });
        return res;
    }

    //删除自提点
    static async deletePlace(query) {
        const res = await axios.post("/api/v1/marketing/background/delete_take_place", {
            ...query,
        });
        return res;
    }
}

export default ActivityService;
